Loading...
Searching...
No Matches
PCZSceneManager
Plugins

SceneManager that uses Portal-Connected-Zones to divide the scene spatially. More...

## Classes

class | Ogre::Capsule
| 3D Line-Swept-Sphere class for intersection testing in Ogre3D Some algorithms based off code from the Wild Magic library by Dave Eberly More...
class | Ogre::PCPlane
| Portal Culling Plane. More...
class | Ogre::PCZCamera
| Specialized viewpoint from which an PCZone Scene can be rendered. More...
class | Ogre::PCZFrustum
| Specialized frustum shaped culling volume that has culling planes created from portals. More...
class | Ogre::PCZLight
| Specialized version of Ogre::Light which caches which zones the light affects. More...
class | Ogre::PCZLightFactory
| Factory object for creating PCZLight instances. More...
class | Ogre::PCZone
| Portal-Connected Zone datastructure for managing scene nodes. More...
class | Ogre::PCZSceneManager
| Specialized SceneManager that uses Portal-Connected-Zones to divide the scene spatially. More...
class | Ogre::PCZSceneManagerFactory
| Factory for PCZSceneManager. More...
class | Ogre::PCZSceneNode
| The PCZSceneNode is an extension used to store zone information and provide additional functionality for a given Ogre::SceneNode. More...
class | Ogre::ZoneData

## Macros

#define | MAX_EXTRA_CULLING_PLANES 40

## Typedefs

typedef std::list< AntiPortal * > | Ogre::AntiPortalList
typedef std::list< WireBoundingBox * > | Ogre::BoxList
typedef std::vector< SceneNode * > | Ogre::NodeList
typedef std::list< PCPlane * > | Ogre::PCPlaneList
typedef std::list< PCZone * > | Ogre::PCZoneList
typedef std::vector< PortalBase * > | Ogre::PortalBaseList
typedef std::list< Portal * > | Ogre::PortalList
typedef std::map< String, SceneNode * > | Ogre::SceneNodeList
typedef std::map< String, ZoneData * > | Ogre::ZoneDataMap
typedef std::list< PCZone * > | Ogre::ZoneList
typedef std::map< String, PCZone * > | Ogre::ZoneMap

## Detailed Description

SceneManager that uses Portal-Connected-Zones to divide the scene spatially.

## Macro Definition Documentation

## MAX_EXTRA_CULLING_PLANES

#define MAX_EXTRA_CULLING_PLANES 40

## Typedef Documentation

## PCPlaneList

typedef std::list< PCPlane * > Ogre::PCPlaneList

## ZoneList

typedef std::list<PCZone*> Ogre::ZoneList

## ZoneMap

typedef std::map< String, PCZone * > Ogre::ZoneMap

## PCZoneList

typedef std::list<PCZone*> Ogre::PCZoneList

## PortalList

typedef std::list<Portal*> Ogre::PortalList

## AntiPortalList

typedef std::list<AntiPortal*> Ogre::AntiPortalList

## PortalBaseList

typedef std::vector<PortalBase*> Ogre::PortalBaseList

## NodeList

typedef std::vector< SceneNode * > Ogre::NodeList

## SceneNodeList

typedef std::map<String, SceneNode*> Ogre::SceneNodeList

## BoxList

typedef std::list< WireBoundingBox * > Ogre::BoxList

## ZoneDataMap

typedef std::map<String, ZoneData*> Ogre::ZoneDataMap